from abc import (
    ABCMeta,
    abstractmethod,
)

from messagebus import (
    LowLevelMessageBus,
    Message,
)


class MessageProcessorExecutor(object):
    __metaclass__ = ABCMeta

    @abstractmethod
    def execute_processor(self, message_bus, message):
        # type: (LowLevelMessageBus, Message) -> None

        raise NotImplementedError()
